*QJPS reply 

clear all
cd "/Users/zac/Desktop/ResearchProjects/QJPS/Ross"

use "rosscross.dta"
* create new AP dummy


gen arab_penin=0
replace arab_pen=1 if id==`""SAU""'
replace arab_pen=1 if id==`""KWT""'
replace arab_pen=1 if id==`""BHR""'
replace arab_pen=1 if id==`""QAT""'
replace arab_pen=1 if id==`""ARE""'
replace arab_pen=1 if id==`""OMN""'
replace arab_pen=1 if id==`""YEM""'

* create new non-AP MENA dummy
gen MENA_noAP=me_nafr
replace MENA_no=0 if arab_pen==1

* gen interaction term
gen oil_rentMENA=me_nafr*zoil_gas_rentPOP

* more interactions
gen arab_penOIL=arab_penin*zoil_gas_rentPOP
gen MENA_noAPOIL=MENA_noAP*zoil_gas_rentPOP
*Table 3 -  Female Seats 2002

* my baseline, col 4 
reg zfemale_seats zlogGDPcap zme_nafr zislam zoil_gas_rentPOP, robust
outreg2 using table1.doc, nolabel onecol nocons replace

* add MENA*oil term
reg zfemale_seats zlogGDPcap zme_nafr zislam zoil_gas_rentPOP oil_rentMENA, robust
outreg2 using table1.doc, nolabel onecol nocons append

* replace MENA w AP & nonAP
reg zfemale_seats zlogGDPcap zislam zoil_gas_rentPOP MENA_noAP arab_penin, robust
outreg2 using table1.doc, nolabel onecol nocons append

* add interactions
reg zfemale_seats zlogGDPcap zislam zoil_gas_rentPOP MENA_noAP MENA_noAPOIL ///
arab_penin arab_penOIL, robust
outreg2 using table1.doc, nolabel onecol nocons append

* replace MENA with arab penin
reg zfemale_seats zlogGDPcap arab_penin zislam zoil_gas_rentPOP, robust
outreg2 using table1.doc, nolabel onecol nocons append

* replace MENA with arab penin + interaction
reg zfemale_seats zlogGDPcap arab_penin arab_penOIL zislam zoil_gas_rentPOP, robust
outreg2 using table1.doc, nolabel onecol nocons append

* baseline if AP states are dropped
reg zfemale_seats zlogGDPcap zme_nafr zislam zoil_gas_rentPOP if arab_penin==0, robust
outreg2 using table1.doc, nolabel onecol nocons append

*Table 4 -  Female Ministers 2002

* my baseline, col 4 
reg zfemale_min zlogGDPcap zme_nafr zislam zoil_gas_rentPOP, robust
outreg2 using table2.doc, nolabel onecol nocons replace

* add MENA*oil term
reg zfemale_min zlogGDPcap zme_nafr zislam zoil_gas_rentPOP oil_rentMENA, robust
outreg2 using table2.doc, nolabel onecol nocons append

* replace MENA w AP & nonAP
reg zfemale_min zlogGDPcap zislam zoil_gas_rentPOP MENA_noAP arab_penin, robust
outreg2 using table2.doc, nolabel onecol nocons append

* add interactions
reg zfemale_min zlogGDPcap zislam zoil_gas_rentPOP MENA_noAP MENA_noAPOIL ///
arab_penin arab_penOIL, robust
outreg2 using table2.doc, nolabel onecol nocons append

* replace MENA with arab penin
reg zfemale_min zlogGDPcap arab_penin zislam zoil_gas_rentPOP, robust
outreg2 using table2.doc, nolabel onecol nocons append

* replace MENA with arab penin + interaction
reg zfemale_min zlogGDPcap arab_penin arab_penOIL zislam zoil_gas_rentPOP, robust
outreg2 using table2.doc, nolabel onecol nocons append

* baseline if AP states are dropped
reg zfemale_min zlogGDPcap zme_nafr zislam zoil_gas_rentPOP if arab_penin==0, robust
outreg2 using table2.doc, nolabel onecol nocons append
